3

My code to secure the wp-login page is throwing an error: nginx: [emerg] invalid number of arguments in "auth_basic" directive in /etc/nginx/conf.d/wordpress.conf:41

I am not sure what is wrong within the auth_basic directive.

The following is the code located within the server block on NGINX 1.17.10

location /wp-login.php$ { auth_basic “Administrator’s Area”; auth_basic_user_file /etc/apache2/.htpasswd; }

apache2-utils has been installed and the user and password has been created for the same too.

4
  • 10
    Correct the quotes in “Administrator’s Area” to straight ones? "Administrator’s Area" Commented Jun 29, 2020 at 7:30
  • Worked! But, it still won't show the authentication popup. Not sure what is incorrect here Commented Jun 29, 2020 at 9:10
  • 2
    Those bad quotes happen when you copy from the nginx docs Commented Sep 29, 2020 at 15:51
  • Hmm, they should really fix their docs to be compatible with the software itself... Commented Jul 15, 2021 at 14:54

1 Answer 1

10

Using the comments answered this question for me - from @danila-vershinin:

Correct the quotes in “Administrator’s Area” to straight ones? "Administrator’s Area"

and @jason-prawn:

Those bad quotes happen when you copy from the nginx docs

(I did exactly that, link to the nginx docs I was using)

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .